> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive donors



## OpenAPI

````yaml post /admin/donors/archive
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donors/archive:
    post:
      tags:
        - Donors
      summary: Archive donors
      operationId: eaa2d19b12557bec6b82cbea14e71642
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - donor_ids
              properties:
                donor_ids:
                  type: array
                  items:
                    type: integer
                  example: '[1,2,3]'
                hysform_id:
                  type: integer
                  example: 1
                client_id:
                  type: string
                  example: '1'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully archived donor(s).
                type: object
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Invalid input.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````